Subject: Re: [spfbis] Applications Directorate Review: ABNF

From: "John R Levine" <[email-masked]>
Date: 26 Aug 2013 21:19:01 -0400

> Are you okay with:
>
>  ip4-cidr-length  = "/" 1*DIGIT ; value range 0-32
>  ip6-cidr-length  = "/" 1*DIGIT ; value range 0-128

No, this is the current ABNF which turns out to be wrong.  It permits 
1.2.3.0/00024 which pyspf and Mail::SPF don't accept.

I've sent in ABNF three times now that matches the code and what I think 
people want.  If someone has specific objections to it, I'd appreciate 
knowing what they are.

Regards,
John Levine, [email-masked], Primary Perpetrator of "The Internet for Dummies",
Please consider the environment before reading this e-mail. http://jl.ly